I got old 3ds on 2.1.0-4E how can i get into homebrew on it ?

Discussion in '3DS - Homebrew Development and Emulators' started by perkel, Aug 5, 2016.

  1. perkel
    OP

    perkel GBAtemp Regular

    Member
    195
    92
    Dec 28, 2015
    Poland
    Hi, i got old 3ds 2.1.0-4e with zelda a link between world cart.

    Questions:

    - i tired browser hax and can't seem to run it (yellow page and then hangs itslef)
    Is there any way browserhax can work on 2.1 ?

    if not with what firmware zelda a link between word comes in and if that version is hackable ?
     


  2. ShinyMK

    ShinyMK known as @initPRAGMA

    Member
    1,507
    532
    Dec 29, 2015
    127.0.0.1
  3. natanelho

    natanelho GBAtemp Maniac

    Member
    1,321
    343
    Apr 25, 2015
    Antarctica
    Between the Sacred Silence and Sleep
    Man what an ancient version... google for pleilect guide itll give you option to run homebrew and hacked games... since You are on 2.x I think you will have less steps to do...

    Search for "3ds database". Thats a page with all games released on 3ds and the firmware update thats installed on them. Search there "link between" and scroll to the right to get the update on your zelda game. Still I recommend you to do a9lh by pleilects guide...
     
  4. thisisallowed

    thisisallowed 中国御宅族

    Member
    543
    123
    Oct 8, 2015
    China
    Jinan, Shandong
    He gave you the wrong part. You can't use browserhax, but you can use 2xrsa which gives you a very importent file (OTP) for cfw. You can only get this file on 2.1.0-4E.
    https://github.com/Plailect/Guide/wiki/Browser-OTP
    Zelda link between worlds updates you to 6.2.0-4E which is between 4.X and 8.X so you then can use rxtools to update to 9.2 to use browserhax install cfw (A9LH, it's better than menuhax and it needs the otp file) from there.
     
  5. perkel
    OP

    perkel GBAtemp Regular

    Member
    195
    92
    Dec 28, 2015
    Poland

    i don't have buckups because this is firmware 3ds came with.
    i am trying to do arm9loader hax on it but i start on 2.1 and need to find a way to get into homebrew channel and make backup from which i can extract otp.

    So in other words is there a way to get homebrew chanel on 2.1 without upgrading firmware to version which supports homebrew launcher and then downgrading again
     
  6. natanelho

    natanelho GBAtemp Maniac

    Member
    1,321
    343
    Apr 25, 2015
    Antarctica
    Between the Sacred Silence and Sleep
    1. Thats homebrew launcher not channel.
    2. Do what the other person said. There is browserhax on that version. Please be sure not to update by mistake.do what the guide says about getting the otp file, and if you have no important stuff and no backup I think you should updaye with the cart of zelda. Then go to the guide in the right theres a section called smthing like "9.2 update". Do that part, continue from there with the guide. Just be sure to get the otp first
     
  7. The Real Jdbye

    The Real Jdbye Always Remember 30/07/08

    Member
    GBAtemp Patron
    The Real Jdbye is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    12,080
    5,154
    Mar 17, 2010
    Norway
    Alola
    You don't extract the OTP from a backup, you extract it directly from the 3DS itself, follow the guide on this page, as it's designed for your specific situation: https://github.com/Plailect/Guide/wiki/Browser-OTP
     
  8. perkel
    OP

    perkel GBAtemp Regular

    Member
    195
    92
    Dec 28, 2015
    Poland
    got otp now i need to update firmware. so i guess i shoiuld use zelda ? Any other ideas before i will do it ?
     
  9. thisisallowed

    thisisallowed 中国御宅族

    Member
    543
    123
    Oct 8, 2015
    China
    Jinan, Shandong
  10. natanelho

    natanelho GBAtemp Maniac

    Member
    1,321
    343
    Apr 25, 2015
    Antarctica
    Between the Sacred Silence and Sleep
    Go to
    https://github.com/Plailect/Guide/wiki/9.2.0-Update
    All the 2.x.x row will be good for ya

    Edit- if you dont have the "cubic ninja" game then dont click on anything related to ninjhax.
    Also if you use the update on the zelda then end up on version below 9.2 (whih you probably will) then use that page and do the "row with your version" except the right coloumn
     
    Last edited by natanelho, Aug 5, 2016
  11. perkel
    OP

    perkel GBAtemp Regular

    Member
    195
    92
    Dec 28, 2015
    Poland
    updated to 6+ firmware with zelda now i will do that rxtools thing thanks people for now, if anything comes up i will ask in in this thread
     
  12. natanelho

    natanelho GBAtemp Maniac

    Member
    1,321
    343
    Apr 25, 2015
    Antarctica
    Between the Sacred Silence and Sleep
    Hmmm go ahead! But to me freeway mset looks easier...
     
  13. thisisallowed

    thisisallowed 中国御宅族

    Member
    543
    123
    Oct 8, 2015
    China
    Jinan, Shandong
    He may not have a ds flashcard
     
  14. perkel
    OP

    perkel GBAtemp Regular

    Member
    195
    92
    Dec 28, 2015
    Poland
    already on 9.2 now i need tp set up emunand and al9h
     
  15. thisisallowed

    thisisallowed 中国御宅族

    Member
    543
    123
    Oct 8, 2015
    China
    Jinan, Shandong
    No you don't need emunand

    — Posts automatically merged - Please don't double post! —

    https://github.com/Plailect/Guide/wiki/Browser-OTP
    You updated to 9.2 now do all the other steps here
    No emunand
     
  16. perkel
    OP

    perkel GBAtemp Regular

    Member
    195
    92
    Dec 28, 2015
    Poland
    wait i need to be on 2.1 to use armloaderhax through browser ?

    i thought i only needed otp ... damn i will need to again downgrade
     
  17. TheVinAnator

    TheVinAnator GBATemp's Greatest Vin

    Member
    3,567
    2,583
    Jan 10, 2016
    Canada
    NO COFFEI!
    No no you don't need to downgrade again
     
  18. perkel
    OP

    perkel GBAtemp Regular

    Member
    195
    92
    Dec 28, 2015
    Poland
    ok thanks tutorial is weird a bit on that as it says :
    Section II - Installing arm9loaderhax
    1. Reinsert your SD card into your 2.1.0 3DS
    2. Go to http://dukesrg.github.io/2xrsa.html?arm11.bin on your 3DS
    3. Select Full Install
    4. The installer will now install arm9loaderhax on your device (this is very fast)
    5. Following this, booting to a black screen is normal (Luma3DS cannot boot a 2.1.0 NAND).
    6. Copy your console specific OTP.bin from the /a9lh/ folder on your SD card to a safe location on your computer and back it up to multiple locations (such as online file storage)
     
  19. perkel
    OP

    perkel GBAtemp Regular

    Member
    195
    92
    Dec 28, 2015
    Poland
    ignore above

    i have now issues with getting FBI installed. Doing Decrypt inject and somehow it doesn't work. Health and safety throws error
     
  20. natanelho

    natanelho GBAtemp Maniac

    Member
    1,321
    343
    Apr 25, 2015
    Antarctica
    Between the Sacred Silence and Sleep
    Try again ☺
    Afaik I downgraded to 2 only once to get otp, then back to 9 to a9lh and then updated to 11... I also had problem with injecting fbi... I just did it again untill it worked...